#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gettext
Version		:	0.22.5
Release		:	17.2.0.rel%{?dist}
Summary		:	GNU libraries and utilities for producing multi-lingual messages
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3 and LGPLv2+
URL		:	https://www.gnu.org/software/gettext/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	unzip
	
#-----------------------------------------------------------------------------
%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS THANKS COPYING README gettext-tools/misc/DISCLAIM
%{_bindir}/*
%{_includedir}/*.h
%{_includedir}/textstyle/*.h
%{_libdir}/preloadable_libintl.so
%{_libdir}/lib*.so*
%{_libdir}/%{name}/*
%{_infodir}/*.info.gz
%{_datadir}/aclocal/*.m4
%{_datadir}/locale/*/LC_MESSAGES/%{name}-*.mo
%{_datadir}/%{name}/*
%{_datadir}/%{name}-%{version}/its/*
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-emacs					\
	--with-git					\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
